package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 车型审查任务
 * @TableName t_car_review_task
 */
@TableName(value ="t_car_review_task")
@Accessors(chain = true)
@Data
public class CarReviewTask implements Serializable {

    @TableField(exist = false)
    public static final String TASK_STATUS_PENDING = "PENDING";
    @TableField(exist = false)
    public static final String TASK_STATUS_FINISH = "FINISH";



    @TableField(exist = false)
    public static final String REVIEW_STATUS_NONE = "NONE";
    @TableField(exist = false)
    public static final String REVIEW_STATUS_NEW = "NEW";
    @TableField(exist = false)
    public static final String REVIEW_STATUS_PENDING = "PENDING";
    @TableField(exist = false)
    public static final String REVIEW_STATUS_FINISH = "FINISH";


    @TableField(exist = false)
    public static final String TEST_STATUS_NONE = "NONE";
    @TableField(exist = false)
    public static final String TEST_STATUS_NEW = "NEW";
    @TableField(exist = false)
    public static final String TEST_STATUS_PENDING = "PENDING";
    @TableField(exist = false)
    public static final String TEST_STATUS_FINISH = "FINISH";

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 任务编号
     */
    @ApiModelProperty("任务编号")
    private String taskNo;

    /**
     * 任务状态（PENDING、FINISH）
     */
    @ApiModelProperty("任务状态（PENDING、FINISH）")
    private String taskStatus;

    /**
     * 任务发起人姓名
     */
    @ApiModelProperty("任务发起人姓名")
    private String taskInitiator;

    /**
     * 任务发起人部门
     */
    @ApiModelProperty("任务发起人部门")
    private String taskInitiatorDept;

    /**
     * 任务结果（PASS、REJECT）
     */
    @ApiModelProperty("任务结果（PASS、REJECT）")
    private String taskResult;

    /**
     * 任务开始时间
     */
    @ApiModelProperty("任务开始时间")
    private Date taskBeginTime;

    /**
     * 任务结束时间
     */
    @ApiModelProperty("任务结束时间")
    private Date taskEndTime;

    /**
     * 审查标准
     */
    @ApiModelProperty("审查标准")
    private Object standard;

    /**
     * 占位（开发人员根据具体业务自行增加业务字段）
     */
    @ApiModelProperty("占位（开发人员根据具体业务自行增加业务字段）")
    private String bizInfo;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;

    /**
     * 审查组长id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("审查组长id")
    private Long leaderId;

    /**
     * 审查组长姓名
     */
    @ApiModelProperty("审查组长姓名")
    private String leader;

    /**
     * 关联标准表id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("关联标准表id")
    private Long standardId;

    /**
     * 标准名称
     */
    @ApiModelProperty("标准名称")
    private String name;

    /**
     * 标准号
     */
    @ApiModelProperty("标准号")
    private String standardNo;

    /**
     * 文件路径
     */
    @ApiModelProperty("文件路径")
    private String file;

    /**
     * 车型问卷审查任务状态[NONE、NEW、PENDING、FINISH]
     */
    @ApiModelProperty("车型问卷审查任务状态[NONE、NEW、PENDING、FINISH]")
    private String reviewStatus;

    /**
     * 车型测试任务状态[NONE、NEW、PENDING、FINISH]
     */
    @ApiModelProperty("车型测试任务状态[NONE、NEW、PENDING、FINISH]")
    private String testStatus;

    /**
     * 车型问卷开始时间
     */
    @ApiModelProperty("车型问卷开始时间")
    private Date reviewStartTime;

    /**
     * 车型问卷提交时间
     */
    @ApiModelProperty("车型问卷提交时间")
    private Date reviewSubmitTime;

    /**
     * 车型问卷提交人id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("车型问卷提交人id")
    private Long reviewSubmitId;

    /**
     * 车型问卷提交人姓名
     */
    @ApiModelProperty("车型问卷提交人姓名")
    private String reviewSubmitName;

    /**
     * 车型问卷审查结果
     */
    @ApiModelProperty("车型问卷审查结果")
    private String reviewResult;

}
