package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 体系审查任务&用户映射关系
 * @TableName t_review_task_user_relation
 */
@ApiModel
@TableName(value ="t_review_task_user_relation")
@Accessors(chain = true)
@Data
public class ReviewTaskUserRelation {

    /**
     * 任务id
     */
    @ApiModelProperty("任务id")
    @TableId(type = IdType.ASSIGN_ID)
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long taskId;

    /**
     * 用户id
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    @ApiModelProperty("用户id")
    private Long userId;

    /**
     * 是否是组长（1是、0不是）
     */
    @ApiModelProperty("是否是组长（1是、0不是）")
    private Integer isLeader;

    /**
     * 用户姓名
     */
    @ApiModelProperty("用户姓名")
    private String name;

}
